      subroutine writeout(idate,itges)
********************************************************************
*                                                                  *
*                     Author: G. WOTAWA                            *
*                     1994-06-03                                   *
*                                                                  *
********************************************************************
*                                                                  *
* DESCRIPTION: This subroutine writes out the deaccumulated and    *
*              interpolated ECMWF Flux quantities to a grib file   *
*              for every date.                                     *
*                                                                  *
*              filename:  fluxjjjjmmddhh                             *
*              directory: current working directory                *
*                                                                  *
********************************************************************

      include 'parameter'
      include 'commonvar'

      integer idate(maxtime),it,itges,i,j,jout
      integer idatehelp
c      character date*8,filename*17,mode*1,syscom*80
      character date*10,filename*19,mode*1,syscom*80
      integer lunit,ierr,lenght,iword
      integer INBUFF(IDIMENS*4)
      integer ISEC0(2),ISEC1(56),ISEC2(384),ISEC3(2),ISEC4(42)
      real ZSEC2(96),ZSEC3(2),ZSEC4(IDIMENS)
      character*15 fname
 
      data fname /'/tmp/surf_06_ub'/
*
* OPEN EXISTING GRIB FILE TO RETRIEVE GRIB PARAMETERS
*
      mode='D'
      call PBOPEN(lunit,fname,'r',ierr)
      call PBGRIB(lunit,INBUFF,IDIMENS*8,lenght,ierr)
      call GRIBEX (ISEC0,ISEC1,ISEC2,ZSEC2,ISEC3,ZSEC3,ISEC4,
     &             ZSEC4,IDIMENS,INBUFF,IDIMENS*4,iword,mode,ierr)
      call pbclose(lunit,ierr)
      mode='C'
      jout=ISEC0(1)
*
* LOOP ABOUT ALL DATES AVAILABLE
*
      do 100 it=1,itges-1
c         write(date,'(i8.8)') idate(it)
         write(date,'(i10.10)') idate(it)
         filename='/tmp/flux'//date
         call PBOPEN(lunit,filename,'w',ierr)
c         ISEC1(10)=idate(it)/1000000
c         ISEC1(11)=idate(it)/10000-ISEC1(10)*100
c         ISEC1(12)=idate(it)/100-ISEC1(10)*10000-ISEC1(11)*100
c         ISEC1(13)=idate(it)-ISEC1(10)*1000000-ISEC1(11)*10000-
c     &                       ISEC1(12)*100
         ISEC1(21)=idate(it)/100000000+1
         idatehelp=mod(idate(it),100000000)
         ISEC1(10)=idatehelp/1000000
         ISEC1(11)=idatehelp/10000-ISEC1(10)*100
         ISEC1(12)=idatehelp/100-ISEC1(10)*10000-ISEC1(11)*100
         ISEC1(13)=idatehelp-ISEC1(10)*1000000-ISEC1(11)*10000-
     &                       ISEC1(12)*100
c         write(*,*) 'Datum, ',idate(it),':',ISEC1(21),ISEC1(10),
c     &                       ISEC1(11),ISEC1(12),ISEC1(13)
*
* WRITE OUT LSP
*
         ISEC1(6)=142
         do 10 i=1,nx
            do 10 j=1,ny
10             zsec4(nx*(ny-j)+i)=LSP(i,j,it)
         call GRIBEX (ISEC0,ISEC1,ISEC2,ZSEC2,ISEC3,ZSEC3,ISEC4,
     &                ZSEC4,IDIMENS,INBUFF,IDIMENS*4,iword,mode,
     &                ierr)
         call PBWRITE(lunit,inbuff,jout,ierr)
*
* WRITE OUT CP
*
         ISEC1(6)=143
         do 20 i=1,nx
            do 20 j=1,ny
20             zsec4(nx*(ny-j)+i)=CP(i,j,it)
         call GRIBEX (ISEC0,ISEC1,ISEC2,ZSEC2,ISEC3,ZSEC3,ISEC4,
     &                ZSEC4,IDIMENS,INBUFF,IDIMENS*4,iword,mode,
     &                ierr)
         call PBWRITE(lunit,inbuff,jout,ierr)
*
* WRITE OUT SSHF
*
         ISEC1(6)=146
         do 30 i=1,nx
            do 30 j=1,ny
30             zsec4(nx*(ny-j)+i)=SSHF(i,j,it)
         call GRIBEX (ISEC0,ISEC1,ISEC2,ZSEC2,ISEC3,ZSEC3,ISEC4,
     &                ZSEC4,IDIMENS,INBUFF,IDIMENS*4,iword,mode,
     &                ierr)
         call PBWRITE(lunit,inbuff,jout,ierr)
*
* WRITE OUT SSR
*
         ISEC1(6)=176
         do 40 i=1,nx
            do 40 j=1,ny
40             zsec4(nx*(ny-j)+i)=SSR(i,j,it)
         call GRIBEX (ISEC0,ISEC1,ISEC2,ZSEC2,ISEC3,ZSEC3,ISEC4,
     &                ZSEC4,IDIMENS,INBUFF,IDIMENS*4,iword,mode,
     &                ierr)
         call PBWRITE(lunit,inbuff,jout,ierr)
*
* WRITE OUT EWSS
*
         ISEC1(6)=180
         do 50 i=1,nx
            do 50 j=1,ny
50             zsec4(nx*(ny-j)+i)=EWSS(i,j,it)
         call GRIBEX (ISEC0,ISEC1,ISEC2,ZSEC2,ISEC3,ZSEC3,ISEC4,
     &                ZSEC4,IDIMENS,INBUFF,IDIMENS*4,iword,mode,
     &                ierr)
         call PBWRITE(lunit,inbuff,jout,ierr)
*
* WRITE OUT NSSS
*
         ISEC1(6)=181
         do 60 i=1,nx
            do 60 j=1,ny
60             zsec4(nx*(ny-j)+i)=NSSS(i,j,it)
         call GRIBEX (ISEC0,ISEC1,ISEC2,ZSEC2,ISEC3,ZSEC3,ISEC4,
     &                ZSEC4,IDIMENS,INBUFF,IDIMENS*4,iword,mode,
     &                ierr)
         call PBWRITE(lunit,inbuff,jout,ierr)
         call PBCLOSE(lunit,ierr)

100   continue
      return
      end
