      subroutine makeinclude(xlon0,ylat0,dx,dy,nx,ny,nuvz,nwz,
     &                       nlev_ec,ktrunc)
******************************************************************
*                                                                *
*                    SUBROUTINE MAKEINCLUDE                      *
*                    AUTHOR: G. WOTAWA, 1994-09-09               *
*                                                                *
* DESCRIPTION:
*                                                                *
******************************************************************
*                                                                *
* INPUT:                                                         *
*        xlon0      lower left longitude of grid (DEG)           *
*        ylat0      lower left latitude of grid (DEG)            *
*        dx         grid distance x direction (DEG)              *
*        dy         grid distance y direction (DEG)              *
*        nx         number of grid points x direction            *
*        ny         number of grid points y direction            *
*        nuvz       number of model levels                       *
*        nwz        number of model half levels                  *
*                                                                *
******************************************************************

      implicit none
      integer nx,ny,nuvz,nwz,nlev_ec,ktrunc
      real xlon0,ylat0,dx,dy
      real xlon1,ylat1
      character llonstr*5,rlonstr*5,blatstr*4,tlatstr*4
      character resstr*3,nxstr*4,nystr*4
      character levoutstr*2,clev_ec*3,ctrunc*4
*
      write(clev_ec,'(i3)') nlev_ec
      write(ctrunc ,'(i4)') ktrunc
      xlon1=xlon0+float(nx-1)*dx
      ylat1=ylat0+float(ny-1)*dy
      write(llonstr,'(i5)') int(xlon0)
      write(rlonstr,'(i5)') int(xlon1)
      write(blatstr,'(i4)') int(ylat0)
      write(tlatstr,'(i4)') int(ylat1)
      write(resstr,'(f3.1)') dx
      write(nxstr,'(i4)') nx
      write(nystr,'(i4)') ny
      write(levoutstr,'(i2)') nuvz
      open(11,file='includepar')
      write(11,5) '      implicit none'
      write(11,5) '      INTEGER LLLO,LLLA,URLO,URLA'
      write(11,5) '      PARAMETER(LLLO='//llonstr//',LLLA='//
     &       blatstr//',URLO='//rlonstr//',URLA='//tlatstr//')'
      write(11,5) '      INTEGER MAXL,MAXB'
      write(11,5) '      PARAMETER (MAXL='//nxstr//
     &            ',MAXB='//nystr//')'
      write(11,5) '      INTEGER MLEVEL'
      write(11,5) '      PARAMETER (MLEVEL='//clev_ec//')'  
      write(11,5) '      INTEGER LEVOUT'
      write(11,5) '      PARAMETER (LEVOUT='//levoutstr//')'
      write(11,5) '      INTEGER MNAUF'
      write(11,5) '      PARAMETER (MNAUF='//ctrunc//')'
      write(11,5) '      INTEGER MAUF'
      write(11,5) '      PARAMETER (MAUF=360*(MAXL-1)/'//
     &            '(URLO-LLLO))'
      write(11,5) '      INTEGER MANF'
      write(11,5) '      PARAMETER (MANF=MAUF/360*(360+LLLO)+1)'
5     format(a)
      close(11)
      return
      end
